DAIXResource
Date: 2017-06-10

org.gcube.informationsystem.collector.impl.resources

## Interface DAIXResource

- All Known Implementing Classes:
    BaseDAIXResource, GCUBEInstanceStateResource, GCUBEProfileResource

      public interface DAIXResource

  DAIXResource interface
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DAIXResource.MalformedResourceException` Malformed resource exception

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deserializeFromIndexing(java.lang.String content)` Deserializes the content retrieved from the XML storage
    `boolean` | `equals(java.lang.Object obj)` Indicates whether some other resource is "equal to" this one
    `java.lang.String` | `getCollectionName()`
    `org.w3c.dom.Document` | `getContent()` The resource content as `Document`
    `java.lang.String` | `getResourceName()`
    `java.net.URI` | `getResourceURI()`
    `int` | `hashCode()`
    `java.lang.String` | `serializeForIndexing()` Creates a serialization of the resource to be indexed
    `void` | `setCollectionName(java.lang.String collectionName)`
    `void` | `setContent(org.w3c.dom.Document content)`
    `void` | `setContent(java.lang.String content)`
    `void` | `setResourceName(java.lang.String resourceName)` Sets the resource unique name
    `java.lang.String` | `toString()`
    `java.lang.String` | `toStringFromElement(java.lang.String elementName)`

- - ### Method Detail

    - #### setResourceName

          void setResourceName(java.lang.String resourceName)

      Sets the resource unique name
      Parameters:
        `resourceName` - the resource name

    - #### getResourceName

          java.lang.String getResourceName()
                                           throws DAIXResource.MalformedResourceException

      Throws:
        `DAIXResource.MalformedResourceException`

    - #### getResourceURI

          java.net.URI getResourceURI()

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toStringFromElement

          java.lang.String toStringFromElement(java.lang.String elementName)
                                               throws DAIXResource.MalformedResourceException

      Throws:
        `DAIXResource.MalformedResourceException`

    - #### setCollectionName

          void setCollectionName(java.lang.String collectionName)

    - #### getCollectionName

          java.lang.String getCollectionName()
                                             throws DAIXResource.MalformedResourceException

      Throws:
        `DAIXResource.MalformedResourceException`

    - #### setContent

          void setContent(org.w3c.dom.Document content)
                          throws DAIXResource.MalformedResourceException

      Throws:
        `DAIXResource.MalformedResourceException`

    - #### setContent

          void setContent(java.lang.String content)
                          throws DAIXResource.MalformedResourceException

      Throws:
        `DAIXResource.MalformedResourceException`

    - #### serializeForIndexing

          java.lang.String serializeForIndexing()
                                                throws DAIXResource.MalformedResourceException

      Creates a serialization of the resource to be indexed
      Returns:
        the serialized resource
      Throws:
        `DAIXResource.MalformedResourceException`

    - #### deserializeFromIndexing

          void deserializeFromIndexing(java.lang.String content)
                                       throws DAIXResource.MalformedResourceException

      Deserializes the content retrieved from the XML storage
      Parameters:
        `content` - the content
      Throws:
        `DAIXResource.MalformedResourceException`

    - #### getContent

          org.w3c.dom.Document getContent()
                                          throws DAIXResource.MalformedResourceException

      The resource content as `Document`
      Returns:
      Throws:
        `DAIXResource.MalformedResourceException`

    - #### equals

          boolean equals(java.lang.Object obj)

      Indicates whether some other resource is "equal to" this one
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the other resource to compare
      Returns:
        true if the resource is the same to this one

    - #### hashCode

          int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`